Issue 83677 - Scim does not work
Summary: Scim does not work
Status: CLOSED DUPLICATE of issue 75040
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 2.3
Hardware: PC Linux, all
: P3 Trivial with 4 votes (vote)
Target Milestone: ---
Assignee: thorsten.martens
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-15 18:18 UTC by hellstorm
Modified: 2009-07-24 19:53 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hellstorm 2007-11-15 18:18:29 UTC
I have the locale de_DE.utf8 and I am using Scim/Skim to input Japanese and Chinese.

In almost all applications this works, but not in Openoffice. Usually I can just
switch the input method and then type, but this does not work in Openoffice. In
KDE-Apps this works everyhwere and also in almost all GTK apps (But with some
weird behaviour sometimes, Firefox supports it the best way).

I know have to write all Japanese texts in a KDE app and copy the text to
Openoffice.
I can’t stress how important this is, because at this point, Openoffice is
almost completely unusable for inputting East Asian text (I don’t know if this
problem also occurs, if you have a complete chinese/japanese system, I have a
German system but need to write Japanese sometimes)
Comment 1 tessarakt 2008-10-21 01:27:30 UTC
Btw, confirmed for OOo 3.0
Comment 2 michael.ruess 2009-07-24 10:36:09 UTC
Already tracked as issue 75040.

*** This issue has been marked as a duplicate of 75040 ***
Comment 3 michael.ruess 2009-07-24 10:36:32 UTC
Closing duplicate.
Comment 4 ludion63 2009-07-24 19:53:50 UTC
I've been using SCIM on Ubuntu Hardy Heron for quite a long time now without any
problem.
I use it to type in Japanese.
Recently I upgraded to the latest version of OpenOffice (3.1.0) and since that
time I've been unable to type in Japanese in OpenOffice ONLY! 
SCIM works in all applications (as usually), except when I'm using OpenOffice!!!...
I absolutely need it for my work and I don't find any solution!?...
Will I be obliged to return to an older version of OpenOffice in order to be
able to use SCIM again???...